<div class="content-header row">
    <div class="content-header-left col-md-9 col-12 mb-2">
      <div class="row breadcrumbs-top">
        <div class="col-12">
          <h2 class="content-header-title float-left mb-0">Modifier Contrat</h2>
        
        </div>
      </div>
    </div>
    <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
      <div class="form-group breadcrum-right">
        <div class="dropdown">
          <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle waves-effect waves-light" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="feather icon-settings"></i></button>
          <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a></div>
        </div>
      </div>
    </div>
  </div>
  <div class="container-fluid">
    <div class="row">
        <div class="col-md-12">
            <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                <form id="msform" #f="ngForm" (ngSubmit)="update(f.value)">
                    <!-- progressbar -->
                    <ul id="progressbar">
                        <li class="active" id="payment"><strong>Etape 1</strong></li>
                        <li id="confirm"><strong>Etape 2</strong></li>
                    </ul>
                    <div class="progress">
                        <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuemin="0" aria-valuemax="100" ></div>
                    </div> <br> <!-- fieldsets -->
                   
                    <fieldset>
                      <div class="form-card">
                         
                        <div id="vehicule">
                          <section class="users-edit">
                            <div class="card">
                              <div class="card-content">
                                <div class="card-body">
                                  
                                  <div class="tab-content">
                                    <div class="tab-pane active" id="account" aria-labelledby="account-tab" role="tabpanel">
                                      <!-- users edit media object start -->
                                      
                                      <!-- users edit media object ends -->
                                      <!-- users edit account form start -->
                                     
                                        <div class="row">
                                         
                                          <div class="col-12 col-sm-6">
                                            <div class="form-group">
                                              <label>Année de fabrication(actuelle:{{voiture['anneeFab']}})</label>
                                              <select class="form-control" name="car-years" id="car-years" name="anneeFab" #anneFab="ngModel" [(ngModel)]="voiture['anneeFab']"  required>
                                               
                                              </select>
                                            </div>
                                            
                                            <div class="form-group">
                                              <label>Modélé( actuelle:{{voiture['modele']}})</label>
                                              <select class="form-control" name="car-models" id="car-models" name="modele" #modele="ngModel" [(ngModel)]="voiture['modele']"  required>
                                              </select>
                                            </div>
                                        
                                            
                                           <div class="form-group">
                                              <div class="controls">
                                                <label>Immatriculation:</label>
                                                <input type="text" class="form-control" placeholder="Immatriculation"  name="immatriculation" #immatriculation="ngModel" [(ngModel)]="voiture['immatriculation']"  required>
                                              </div>
                                            </div>
                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Date d'aquisition( d'aquisition actuelle:{{voiture['dateAcquisition']|  date:'medium'}})</label>
                                                <input type="date" class="form-control" placeholder="Date d'aquisition" name="dateAcquisition" #dateAcquisition="ngModel" [(ngModel)]="voiture['dateAcquisition']"  required>
                                              </div>
                                            </div>
                                          
                                          </div>
                                          <div class="col-12 col-sm-6">
                                            

                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Marque:(actuelle:{{voiture['marque']}})</label>
                                                <select class="form-control" name="car-makes" id="car-makes" name="marque" #marque="ngModel" [(ngModel)]="voiture['marque']"  required></select>
                                              </div>
                                            </div>

                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Trims:(actuelle : {{voiture['trims']}})</label>
                                                <select class="form-control" name="car-model-trims" id="car-model-trims" name="trims" #trims="ngModel" [(ngModel)]="voiture['trims']"  required></select>
                                              </div>
                                            </div>
                                            <div class="form-group">
                                              <label>Carburant:</label>
                                              
                                              <select class="form-control" name="carburant" #carburant="ngModel" [(ngModel)]="voiture['carburant']"  required>
                                                <option>Essence</option>
                                                <option>Gasoil</option>
                                              </select>
                                              

                                           </div>
                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Date de 1ér Mise en circulation:(actuelle:{{voiture['dateMiseEnCirculation']|  date:'medium'}})</label>
                                                <input type="date" class="form-control" placeholder="Date de 1ér Mise en circulation" name="dateMiseEnCirculation" #dateMiseEnCirculation="ngModel" [(ngModel)]="voiture['dateMiseEnCirculation']"  required>
                                              </div>
                                            </div>
                                            
                                           

                                          </div>
                                          
                                          
                                        </div>   
                                    </div>
                                   
                                    
                                  </div>
                                </div>
                              </div>
                            </div>
                          </section>
            
                        </div>



                      </div>
                       <input type="button" name="next" class="next action-button" value="Suivant" /> 
                       <input type="button" name="previous" class="previous action-button-previous" value="Precedent" />
                  </fieldset>
                  <fieldset>
                      <div class="form-card">
                          

                          <section class="users-edit">
                            <div class="card">
                              <div class="card-content">
                                <div class="card-body">
                                  
                                  <div class="tab-content">
                                    <div class="tab-pane active" id="account" aria-labelledby="account-tab" role="tabpanel">
                                      
                                      <div class="row">
                                        <div class="col-12 col-sm-6">
                                          
                                      
                                          <div class="form-group">
                                            <label>Compagnie</label>
                                            <select class="form-control" name="compagnie"  [(ngModel)]="contrat['compagnieId']"  #comp="ngModel">
                                              <option *ngFor="let c of compagnies" value="{{c.id}}">{{c.username}}</option>
                                            </select>
                                            
                                          </div>
                                          <div class="form-group">
                                            <div class="controls">
                                              <label>Numero de police:</label>
                                              <input type="text" class="form-control" placeholder="Numero de police" name="numeroPolice" #numeroPolice="ngModel" [(ngModel)]="contrat['numeroPolice']"  required>
                                            </div>
                                          </div>
                        
                                        </div>
                                        <div class="col-12 col-sm-6">


                                          <div class="form-group">
                                            <label>Apporteur:</label>
                                            
                                            <select class="form-control" name="apporteur"  [(ngModel)]="contrat['apporteurId']"  #apport="ngModel">

                                              <option *ngFor="let a of apporteur" value="{{a.id}}">{{a.nom}}</option>
                                            </select>
                                            
                                          </div>
                                          <div class="form-group">
                                            <div class="controls">
                                              <label>Numero de police externe:</label>
                                              <input type="text" class="form-control" placeholder="Numero de police externe"  name="numeroPoliceExterne" #numeroPoliceExterne="ngModel" [(ngModel)]="contrat['numeroPoliceExterne']"  required>
                                            </div>
                                          </div>
                                          
                                        </div>
                                        
                                        
                                      </div>

                                        <div class="row">
                                          <div class="col-7">
                                            <h2>Effet</h2>
                                        </div>
                                        <div class="col-5">
                                            <h2 class="steps"></h2>
                                        </div>
                                      </div>
                                         <div class="row">
                                          <div class="col-12 col-sm-6">

                                           
                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Date d'effet:(actuelle:{{contrat['dateEffet']}}</label>
                                                <input type="date" class="form-control" name="dateEffet" #dateEffet="ngModel" [(ngModel)]="contrat['dateEffet']"  required>
                                              </div>
                                            </div>
                          
                                          </div>
                                          <div class="col-12 col-sm-6">
                                            
                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Date de fin:(actuelle:{{contrat['dateFin']}})</label>
                                                <input type="date" class="form-control" name="dateFin" #dateFin="ngModel" [(ngModel)]="contrat['dateFin']"  required>
                                              </div>
                                            </div>                                            
                                          </div>
                                          
                                          
                                        </div>
                                        <div class="row">
                                          <div class="col-12 col-sm-6">
                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Echeance principale:</label>
                                                <input type="text" class="form-control" placeholder="jour-mois" name="echeancePrincipale" #echeancePrincipale="ngModel" [(ngModel)]="contrat['echeancePrincipale']"  required>
                                              </div>
                                            </div>
                                          </div>
                                        </div>

                                        <div class="row">
                                          <div class="col-7">
                                            <h2>Prime</h2>
                                        </div>
                                        <div class="col-5">
                                            <h2 class="steps"></h2>
                                        </div>
                                        
                                          <div class="col-12 col-sm-6">
                                            
                                            
                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Date de signature:(actuelle:{{contrat['dateSignature']}})</label>
                                                <input type="date" class="form-control" name="dateSignature" #dateSignature="ngModel" [(ngModel)]="contrat['dateSignature']"  required>
                                              </div>
                                            </div>
                                            
                                          
                          
                                          </div>
                                          <div class="col-12 col-sm-6">
                                            
                                            <div class="form-group">
                                              <div class="controls">
                                                <label>Montant Prime</label>
                                                <input type="text" class="form-control" placeholder="Montant" name="montant" #montant="ngModel" [(ngModel)]="contrat['montant']"  required>
                                              </div>
                                            </div>                                         
                                          </div>
                                          
                                          
                                        </div>
                                      
                                    </div>
                                   
                                    
                                  </div>
                                </div>
                              </div>
                            </div>
                          </section>

                          

                          
                      </div>
                      <input type="submit"  class="action-button" value="Ajouter" /> 
                      <input type="button" name="previous" class="previous action-button-previous" value="Precedent" />

                  </fieldset>
                  
                </form>
            </div>
        </div>
    </div>
    
  </div>
  
  

  